HANDLE WINAPI OpenW(const struct OpenInfo *OInfo)
{
	if(Opt.DefaultFolder[0] != 0)
	{
		//    .
		if(OInfo->OpenFrom == OPEN_PLUGINSMENU)
		{
			/*
				-  OpenW    (PANEL_ACTIVE)   (FCTL_SETPANELDIRECTORY)
				-   (FCTL_REDRAWPANEL)
				-   FAR  nullptr (  FAR  "" )
			*/
			FarPanelDirectory dirInfo = {sizeof(dirInfo), Opt.DefaultFolder, nullptr, {}, nullptr};
			::Info.PanelControl(PANEL_ACTIVE, FCTL_SETPANELDIRECTORY, 0, &dirInfo);
			::Info.PanelControl(PANEL_ACTIVE, FCTL_REDRAWPANEL,0,nullptr);
		}
		//    .
		else if(OInfo->OpenFrom == OPEN_LEFTDISKMENU || OInfo->OpenFrom == OPEN_RIGHTDISKMENU)
		{
			/*
				 FAR   ,  ,  nullptr.
				     Opt -   GetFindDataW()
            */
			return (HANDLE)&Opt;
		}
	}

	return nullptr;
}

intptr_t WINAPI GetFindDataW(GetFindDataInfo *Info)
{
	//   GetFindDataW FAR      ,
	//  ..    ,    ,   :
	::Info.PanelControl(Info->hPanel,FCTL_CLOSEPANEL,0,(void*)Opt.DefaultFolder);
	return TRUE;
}
