const wchar_t *GetMsg(int MsgId)
{
	return Info.GetMsg(&MainGuid,MsgId);
}

int Config(const ConfigureInfo* CInfo)
{
	PluginDialogBuilder Builder(Info, MainGuid, ConfigDialogGuid, MConfigTitle, L"Config");
	Builder.AddCheckbox(MConfigAddToDisksMenu, &Opt.AddToDisksMenu);
	Builder.AddCheckbox(MConfigAddToPluginMenu, &Opt.AddToPluginsMenu);
	Builder.AddText(MDefaultFolder);
	Builder.AddEditField(Opt.DefaultFolder,ARRAYSIZE(Opt.DefaultFolder), 40, L"Desktop_DefDir");
	Builder.AddOKCancel(MOk, MCancel);

	if (Builder.ShowDialog())
	{
		PluginSettings settings(MainGuid, Info.SettingsControl);
		settings.Set(0,StrAddToDisksMenu,Opt.AddToDisksMenu);
		settings.Set(0,StrAddToPluginsMenu,Opt.AddToPluginsMenu);
		settings.Set(0,StrDefaultFolder,Opt.DefaultFolder);
		return 1;
	}

	return 0;
}


const wchar_t *getDesktop(void)
{
	DWORD DataSize=511;
	DWORD Disposition;
	HKEY hKey;
	*Opt.DefaultFolder=0;

	if((RegOpenKeyEx(HKEY_CURRENT_USER,
	                 L"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders",
	                 NULL,KEY_QUERY_VALUE,&hKey)) != ERROR_SUCCESS)
		return L"";

	RegQueryValueEx(hKey,L"Desktop",0,&Disposition,(LPBYTE)Opt.DefaultFolder,&DataSize);
	RegCloseKey(hKey);
	return Opt.DefaultFolder;
}
